dnl $Id$
dnl config.m4 for extension nodeid

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

dnl PHP_ARG_WITH(nodeid, for nodeid support,
		dnl Make sure that the comment is aligned:
		dnl [  --with-nodeid             Include nodeid support])

dnl Otherwise use enable:

PHP_ARG_ENABLE(nodeid, whether to enable nodeid support,
		Make sure that the comment is aligned:
		[  --enable-nodeid           Enable nodeid support])

if test "$PHP_NODEID" != "no"; then
dnl Write more examples of tests here...

dnl # --with-nodeid -> check with-path
dnl SEARCH_PATH="/usr/local /usr"     # you might want to change this
dnl SEARCH_FOR="/include/nodeid.h"  # you most likely want to change this
dnl if test -r $PHP_NODEID/$SEARCH_FOR; then # path given as parameter
dnl   NODEID_DIR=$PHP_NODEID
	dnl else # search default path list
dnl   AC_MSG_CHECKING([for nodeid files in default path])
	dnl   for i in $SEARCH_PATH ; do
	dnl     if test -r $i/$SEARCH_FOR; then
	dnl       NODEID_DIR=$i
dnl       AC_MSG_RESULT(found in $i)
	dnl     fi
	dnl   done
	dnl fi
	dnl
	dnl if test -z "$NODEID_DIR"; then
	dnl   AC_MSG_RESULT([not found])
dnl   AC_MSG_ERROR([Please reinstall the nodeid distribution])
	dnl fi

	dnl # --with-nodeid -> add include path
dnl PHP_ADD_INCLUDE($NODEID_DIR/include)

	dnl # --with-nodeid -> check for lib and symbol presence
	dnl LIBNAME=nodeid # you may want to change this
	dnl LIBSYMBOL=nodeid # you most likely want to change this 

	dnl PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
			dnl [
			dnl   PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $NODEID_DIR/$PHP_LIBDIR, NODEID_SHARED_LIBADD)
			dnl   AC_DEFINE(HAVE_NODEIDLIB,1,[ ])
			dnl ],[
			dnl   AC_MSG_ERROR([wrong nodeid lib version or lib not found])
			dnl ],[
			dnl   -L$NODEID_DIR/$PHP_LIBDIR -lm
			dnl ])
	dnl
dnl PHP_SUBST(NODEID_SHARED_LIBADD)

PHP_NEW_EXTENSION(nodeid, nodeid.c sid.c, $ext_shared)
	fi
