#ifndef PHP_NODEID_H
#define PHP_NODEID_H
extern zend_module_entry nodeid_module_entry;
#define phpext_nodeid_ptr &nodeid_module_entry
#define PHP_NODEID_VERSION "1.0"
#ifdef PHP_WIN32
#       define PHP_NODEID_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#       define PHP_NODEID_API __attribute__ ((visibility("default")))
#else
#       define PHP_NODEID_API
#endif
#ifdef ZTS
#include "TSRM.h"
#endif

/*
   Declare any global variables you may need between the BEGIN
   and END macros here:
   */
ZEND_BEGIN_MODULE_GLOBALS(nodeid)
	long  nodeid_server_id;
	char *global_string;
ZEND_END_MODULE_GLOBALS(nodeid)

#ifdef ZTS
	extern int nodeid_globals_id;
#define NODEID_G(v) TSRMG(nodeid_globals_id, zend_nodeid_globals *, v)
#else
#define NODEID_G(v) (nodeid_globals.v)
extern ZEND_DECLARE_MODULE_GLOBALS(nodeid)
#endif

#endif  /* PHP_NODEID_H */
	/*
	 * Local variables:
	 * tab-width: 4
	 * c-basic-offset: 4
	 * End:
	 * vim600: noet sw=4 ts=4 fdm=marker
	 * vim<600: noet sw=4 ts=4
	 */
